<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.emoon</groupId>
        <artifactId>emoon-modules-api</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>emoon-chat-api</artifactId>

    <properties>
        <maven.compiler.source>21</maven.compiler.source>
        <maven.compiler.target>21</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <!-- 通用工具-->
        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-core</artifactId>
        </dependency>
        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-doc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-tenant</artifactId>
        </dependency>
        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
        </dependency>
        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-excel</artifactId>
        </dependency>
        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-sensitive</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-vector</artifactId>
        </dependency>

        <dependency>
            <groupId>dev.langchain4j</groupId>
            <artifactId>langchain4j-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>com.github.oshi</groupId>
            <artifactId>oshi-core</artifactId>
            <version>6.4.0</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.83</version>
        </dependency>

    </dependencies>
</project>
